Subject: Re: Unique DLL name per release...
From: [email-masked] (Jason V. Robertson)

13 Feb 1998 16:41:22 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]
Cc: [email-masked], [email-masked]

On Thursday, Feb 12, 1998 Christopher Faylor said:

> In article <[email-masked]>,
> Jason V. Robertson <[email-masked]> wrote:
> >We are going to be possibly using multiple versions of the cygwin32
> >release, and we're thinking about adding a version number to the DLL to
> >easily allow this.
> >
> >Is there any problem with this, and why isn't this done on the default
> >release?
> 
> Multiple versions are already allowed in the coolview release (which is
> essentially a snapshot of the upcoming B19 release).  The shared
> information uses a key which is based on the time of compilation so,
> theoretically, you should be able to have different versions of cygwin
> in use at the same time.

Ahh.  Cool.  Yeah, I thought I saw something about that in the ChangeLog for
coolview.

One minor problem, though...  What if we don't keep the DLL in the binary dir?
We have a few reasons for this.  One is that we've had problems with the DLL
being loaded over the network (concurrency problem similar to that detailed by
Fred Hamster in another thread).  So the DLL has to be local, but the binaries
are on a network share.

Another issue is that some users would like the option of using a different
DLL.  So they'd like to be able to make a DLL directory and put it before 
our main DLL directory to load a customized DLL.  This isn't possible if the
DLL is in the directory with the binaries.  So we need to have multiple
cygwin.dll files in the same directory.

Thanks,
Jason

--
 Jason Robertson <[email-masked]>
 Ph: 552-0065

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".